<?php

class modelFeedBackl extends cmsModel {

    public function addFeedBack($items) {

        return $this->insert('feedbackl', $items);
    }

    public function getFeedbacklItemTotal() {

        return $this->getCount('feedbackl', 'id');
    }

    public function getFeedbacklItemId($id) {

        return $this->getItemById('feedbackl', $id);
    }

    /*
     * int $message_len   Максимальная длина текста сообщения, 0 - полное сообщение
     */

    public function getFeedbacklItem($message_len = 0) {

        if ($message_len > 0) {
            // Укорачиваем сообщения до заданной длинны
            return $this->get('feedbackl', function($item) use ($message_len) {
                        $item['message'] = html_clean($item['message'], $message_len);
                        return $item;
                    });
        } else {
            // Возвращаем строки без обработки
            return $this->get('feedbackl');
        }
    }

    public function deleteFeedbacklItem($id) {

        return $this->delete('feedbackl', $id);
    }

    public function feedbackapplyGridFilter($grid, $filter) {

        // применяем сортировку
        if (!empty($filter['order_by'])) {
            if (!empty($grid['columns'][$filter['order_by']]['order_by'])) {
                $filter['order_by'] = $grid['columns'][$filter['order_by']]['order_by'];
            }
            $this->orderBy($filter['order_by'], $filter['order_to']);
        }
        // устанавливаем страницу
        if (!empty($filter['page'])) {
            $perpage = !empty($filter['perpage']) ? intval($filter['perpage']) : $this->perpage;
            $this->limitPage(intval($filter['page']), $perpage);
        }
        //
        // проходим по каждой колонке таблицы
        // и проверяем не передан ли фильтр для нее
        //
        foreach ($grid['columns'] as $field => $column) {
            if (!empty($column['filter']) && $column['filter'] != 'none' && isset($filter[$field])) {

                if ($filter[$field] || (string) $filter[$field] === '0') {

                    if (!empty($column['filter_by'])) {
                        $filter_field = $column['filter_by'];
                    } else {
                        $filter_field = $field;
                    }

                    switch ($column['filter']) {
                        case 'exact': $this->filterEqual($filter_field, $filter[$field]);
                            break;
                        case 'like': $this->filterLike($filter_field, "%{$filter[$field]}%");
                            break;
                        case 'date':
                            $date = date('Y-m-d', strtotime($filter[$field]));
                            $this->filterLike($filter_field, "%{$date}%");
                            break;
                    }
                }
            }
        }

        return $this;
    }

    public function deleteController($id) {

        $items = $this->getFeedbacklItem();

        if ($items != NULL) {
            foreach ($items as $item) {

                if ($item) {
                    if (isset($item['images'])) {

                        $images = cmsModel::yamlToArray($item['images']);

                        foreach ($images as $image) {

                            foreach ($image as $url) {

                                @unlink(cmsConfig::get('upload_path') . $url);
                            }
                        }
                    }
                }
            }
        }

        $this->db->delete('menu_items', 'url = "/feedbackl"');

        $this->db->query('DROP TABLE {#}feedbackl');

        return parent::deleteController($id);
    }

}
